package com.app.demoe

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import com.android.volley.DefaultRetryPolicy
import com.android.volley.Request
import com.android.volley.toolbox.JsonObjectRequest
import com.app.demoe.databinding.ActivitySignInScreenBinding
import org.json.JSONObject

class SignIn_Screen : AppCompatActivity() {
    lateinit var bindingClass: ActivitySignInScreenBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        bindingClass = ActivitySignInScreenBinding.inflate(layoutInflater)
        setContentView(bindingClass.root)

        // Run volley
        bindingClass.bSingin.setOnClickListener {
            val url = "http://smarthome.madskill.ru/auth/user"

            // Post parameters
            // Form fields and values
            val params = HashMap<String,String>()
            params.put("email", "vasya@mail.com")
            params.put("password", "qwerty")
            params.put("uuid", "5FA1B987-3890-4A87-9712-ACDEAD0173AE")
            params.put("hash", "5feceb66ffc86f38d952786c6d696c79c2dbc239dd4e91b46729d73a27fb57e9")
            val jsonObject = (params as Map<*, *>?)?.let { it1 -> JSONObject(it1) }



            // Volley post request with parameters
            val request = JsonObjectRequest(Request.Method.OPTIONS,url,jsonObject,
                { response ->
                    // Process the json
                    try {
                        Log.d("tag1","Response: $response" )

                    }catch (e:Exception){
                        bindingClass.textView.text = "Exception: $e"
                    }

                }, {
                    // Error in request
                    Log.d("tag1","Volley error: $it")
                })


            // Volley request policy, only one time request to avoid duplicate transaction
            request.retryPolicy = DefaultRetryPolicy(
                DefaultRetryPolicy.DEFAULT_TIMEOUT_MS,
                // 0 means no retry
                0, // DefaultRetryPolicy.DEFAULT_MAX_RETRIES = 2
                1f // DefaultRetryPolicy.DEFAULT_BACKOFF_MULT
            )

            // Add the volley post request to the request queue
            VolleySingleton.getInstance(this).addToRequestQueue(request)
        }
    }
}
